%no heat pump 
 

clc
clear
Eff_steam=.85; %assumed efficiency of steam 
Eff_electricity=.64; %efficiency of electricity given by GE website
%boiler calculations 
Volume_NG=23746638.42; %volume of natural gas in m^3/yr used by the boiler 
NG_heat_value=39121893.48; % natural gas heating value of J/m^3
NG_density=0.90; % density of natural gas in kg/m^3
massNG=Volume_NG*NG_density; % kg of natural gas per year used by the boiler
kg_of_CO2_perYear_NGboiler=massNG*2.75  %kg of CO2 per year produced by the NG boiler 
%subsurface pump calculations
Avg_pump_power=0.09365*10^6; %pump power We
NG_need_pump=Avg_pump_power/1-Eff_electricity; %Wth for natural gas
NG_need_pump_volume=(NG_need_pump*3600*8760)/NG_heat_value;    %J/yr / J/m^3
mass_NG_for_pump=NG_need_pump_volume*NG_density;
kg_of_CO2_perYear_pump_subsurface=mass_NG_for_pump*2.75  %kg of CO2 per year produced by the pump
%surface pump calculations 
pump_power=15927.5/.8; %pump power We
NG_pump=pump_power/Eff_electricity; %Wth for natural gas
NG_pump_volume=(NG_pump*3600*8760)/NG_heat_value;    %J/yr / J/m^3
mass_NG_pump=NG_pump_volume*NG_density;
kg_of_CO2_perYear_pump_surface=mass_NG_pump*2.75  %kg of CO2 per year produced by the pump
geothermal_system_total_CO2=kg_of_CO2_perYear_NGboiler+kg_of_CO2_perYear_pump_subsurface+kg_of_CO2_perYear_pump_surface
%heat generated 
avg_heat=1.18*10^6/Eff_steam; %Wth
NG_save_volume=(avg_heat*3600*8760)/NG_heat_value;    %J/yr / J/m^3
mass_save=NG_save_volume*NG_density;
kg_of_CO2_perYear_save=mass_save*2.75;  %kg of CO2 per year saved

kg_of_CO2_perYear_no_geo=kg_of_CO2_perYear_NGboiler+kg_of_CO2_perYear_save
Energy_by_NG_boiler=26.51; %MWth

Total_Energy=((avg_heat/10^6)+Energy_by_NG_boiler)*3.4095106405*8766 %convert MW to MMBtu/yr
LCOE_gas=(kg_of_CO2_perYear_no_geo-geothermal_system_total_CO2)/Total_Energy %kg CO2 reduced per MMBtu
